<?php

// Require
require_once 'Carbon/autoload.php';
require_once 'Doctrine/Inflector/autoload.php';
require_once 'Illuminate/Contracts/autoload.php';

// Suggest
# Missing: moontoast/math
if (stream_resolve_include_path('Dotenv/autoload.php')) { include_once 'Dotenv/autoload.php'; }
if (stream_resolve_include_path('Illuminate/Filesystem/autoload.php')) { include_once 'Illuminate/Filesystem/autoload.php'; }
if (stream_resolve_include_path('Ramsey/Uuid/autoload.php')) { include_once 'Ramsey/Uuid/autoload.php'; }
if (stream_resolve_include_path('Symfony/Component/Process/autoload.php')) { include_once 'Symfony/Component/Process/autoload.php'; }
if (stream_resolve_include_path('Symfony/Component/VarDumper/autoload.php')) { include_once 'Symfony/Component/VarDumper/autoload.php'; }

// Files
require_once __DIR__.'/helpers.php';

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'illuminate\\support\\aggregateserviceprovider' => '/AggregateServiceProvider.php',
                'illuminate\\support\\arr' => '/Arr.php',
                'illuminate\\support\\carbon' => '/Carbon.php',
                'illuminate\\support\\collection' => '/Collection.php',
                'illuminate\\support\\composer' => '/Composer.php',
                'illuminate\\support\\configurationurlparser' => '/ConfigurationUrlParser.php',
                'illuminate\\support\\datefactory' => '/DateFactory.php',
                'illuminate\\support\\enumerable' => '/Enumerable.php',
                'illuminate\\support\\env' => '/Env.php',
                'illuminate\\support\\facades\\app' => '/Facades/App.php',
                'illuminate\\support\\facades\\artisan' => '/Facades/Artisan.php',
                'illuminate\\support\\facades\\auth' => '/Facades/Auth.php',
                'illuminate\\support\\facades\\blade' => '/Facades/Blade.php',
                'illuminate\\support\\facades\\broadcast' => '/Facades/Broadcast.php',
                'illuminate\\support\\facades\\bus' => '/Facades/Bus.php',
                'illuminate\\support\\facades\\cache' => '/Facades/Cache.php',
                'illuminate\\support\\facades\\config' => '/Facades/Config.php',
                'illuminate\\support\\facades\\cookie' => '/Facades/Cookie.php',
                'illuminate\\support\\facades\\crypt' => '/Facades/Crypt.php',
                'illuminate\\support\\facades\\date' => '/Facades/Date.php',
                'illuminate\\support\\facades\\db' => '/Facades/DB.php',
                'illuminate\\support\\facades\\event' => '/Facades/Event.php',
                'illuminate\\support\\facades\\facade' => '/Facades/Facade.php',
                'illuminate\\support\\facades\\file' => '/Facades/File.php',
                'illuminate\\support\\facades\\gate' => '/Facades/Gate.php',
                'illuminate\\support\\facades\\hash' => '/Facades/Hash.php',
                'illuminate\\support\\facades\\lang' => '/Facades/Lang.php',
                'illuminate\\support\\facades\\log' => '/Facades/Log.php',
                'illuminate\\support\\facades\\mail' => '/Facades/Mail.php',
                'illuminate\\support\\facades\\notification' => '/Facades/Notification.php',
                'illuminate\\support\\facades\\password' => '/Facades/Password.php',
                'illuminate\\support\\facades\\queue' => '/Facades/Queue.php',
                'illuminate\\support\\facades\\redirect' => '/Facades/Redirect.php',
                'illuminate\\support\\facades\\redis' => '/Facades/Redis.php',
                'illuminate\\support\\facades\\request' => '/Facades/Request.php',
                'illuminate\\support\\facades\\response' => '/Facades/Response.php',
                'illuminate\\support\\facades\\route' => '/Facades/Route.php',
                'illuminate\\support\\facades\\schema' => '/Facades/Schema.php',
                'illuminate\\support\\facades\\session' => '/Facades/Session.php',
                'illuminate\\support\\facades\\storage' => '/Facades/Storage.php',
                'illuminate\\support\\facades\\url' => '/Facades/URL.php',
                'illuminate\\support\\facades\\validator' => '/Facades/Validator.php',
                'illuminate\\support\\facades\\view' => '/Facades/View.php',
                'illuminate\\support\\fluent' => '/Fluent.php',
                'illuminate\\support\\higherordercollectionproxy' => '/HigherOrderCollectionProxy.php',
                'illuminate\\support\\higherordertapproxy' => '/HigherOrderTapProxy.php',
                'illuminate\\support\\htmlstring' => '/HtmlString.php',
                'illuminate\\support\\interactswithtime' => '/InteractsWithTime.php',
                'illuminate\\support\\lazycollection' => '/LazyCollection.php',
                'illuminate\\support\\manager' => '/Manager.php',
                'illuminate\\support\\messagebag' => '/MessageBag.php',
                'illuminate\\support\\namespaceditemresolver' => '/NamespacedItemResolver.php',
                'illuminate\\support\\optional' => '/Optional.php',
                'illuminate\\support\\pluralizer' => '/Pluralizer.php',
                'illuminate\\support\\processutils' => '/ProcessUtils.php',
                'illuminate\\support\\reflector' => '/Reflector.php',
                'illuminate\\support\\serviceprovider' => '/ServiceProvider.php',
                'illuminate\\support\\str' => '/Str.php',
                'illuminate\\support\\testing\\fakes\\busfake' => '/Testing/Fakes/BusFake.php',
                'illuminate\\support\\testing\\fakes\\eventfake' => '/Testing/Fakes/EventFake.php',
                'illuminate\\support\\testing\\fakes\\mailfake' => '/Testing/Fakes/MailFake.php',
                'illuminate\\support\\testing\\fakes\\notificationfake' => '/Testing/Fakes/NotificationFake.php',
                'illuminate\\support\\testing\\fakes\\pendingmailfake' => '/Testing/Fakes/PendingMailFake.php',
                'illuminate\\support\\testing\\fakes\\queuefake' => '/Testing/Fakes/QueueFake.php',
                'illuminate\\support\\traits\\capsulemanagertrait' => '/Traits/CapsuleManagerTrait.php',
                'illuminate\\support\\traits\\enumeratesvalues' => '/Traits/EnumeratesValues.php',
                'illuminate\\support\\traits\\forwardscalls' => '/Traits/ForwardsCalls.php',
                'illuminate\\support\\traits\\localizable' => '/Traits/Localizable.php',
                'illuminate\\support\\traits\\macroable' => '/Traits/Macroable.php',
                'illuminate\\support\\traits\\tappable' => '/Traits/Tappable.php',
                'illuminate\\support\\viewerrorbag' => '/ViewErrorBag.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);